//---------------------------------------------------------------------------
// 中心極限定理の利用による正規乱数の発生用クラス
//
//		作成者：三上直樹，2017/12/08 作成，©三上直樹 2017
//---------------------------------------------------------------------------

using System;

namespace Mikami
{
	public class GaussRand
	{
		private Random rand_;

		public GaussRand() { rand_ = new Random(1234); }

		public double Execute(double sigma, double average)
		{
			double gauss = 0.0f;
			for (int n=0; n<12; n++)
				gauss = gauss + rand_.NextDouble();
			gauss = sigma*(gauss - 6.0f) + average;
			return gauss;
		}
	}
}
